Bug 751068 - abrt-cli shouldn't require abrt-addon-python
Summary: abrt-cli shouldn't require abrt-addon-python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt
Version: 6.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Denys Vlasenko
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: ABRTF17
TreeView+ depends on / blocked
 
Reported: 2011-11-03 12:42 UTC by Matěj Cepl
Modified: 2012-06-20 07:03 UTC (History)
6 users (show)

Fixed In Version: abrt-2.0.8-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 07:03:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0841 normal SHIPPED_LIVE Low: abrt, libreport, btparser, and python-meh security and bug fix update 2012-06-19 19:29:03 UTC

Description Matěj Cepl 2011-11-03 12:42:59 UTC
Description of problem:
As a Python programmer I wanted to stop abrt from reacting on any Python crash. I was advised to remove abrt-addon-python. However, yum remove abrt-addon-python removes also abrt-desktop and abrt-cli. If the abrt-addon-python is just an (semi-)optional engine for Python  backtraces, than abrt-cli shouldn't hard require it.

Version-Release number of selected component (if applicable):
abrt-2.0.4-14.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.yum remove abrt-addon-python
2.
3.
  
Actual results:
removes also abrt-desktop and abrt-cli

Expected results:
nothing should be removed aside from this engine

Additional info:

Comment 2 RHEL Program Management 2011-11-07 06:47:40 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 3 Jiri Moskovcak 2011-11-25 08:18:08 UTC
- we need to create a virtual package as abrt-desktop to pull the dependencies, so users can remove the plugins without removing the abrt-cli package

Comment 4 Jiri Moskovcak 2011-12-08 15:05:27 UTC
- created a new package abrt-tui which holds the abrt-cli binary and abrt-cli is now an empty package which just pulls all the required dependencies for the default setup.

Comment 8 Denys Vlasenko 2012-01-17 18:14:50 UTC
Appears to be fixed as er comment #4:

(In reply to comment #4)
> - created a new package abrt-tui which holds the abrt-cli binary and abrt-cli
> is now an empty package which just pulls all the required dependencies for the
> default setup.

Comment 12 errata-xmlrpc 2012-06-20 07:03:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0841.html


Note You need to log in before you can comment on or make changes to this bug.